cURL
curl --request PUT \
--url https://api.hirehive.com/v1.0/{company_id}/forms/application/{form_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"questions": [
{
"question": "<string>",
"id": "<string>",
"description": "<string>",
"options": [
{
"label": "<string>",
"id": "<string>",
"description": "<string>",
"archived": true,
"tag": {
"id": "<string>",
"name": "<string>"
}
}
],
"required": true,
"restricted": true,
"archived": true,
"display_order": 123
}
]
}
'import requests
url = "https://api.hirehive.com/v1.0/{company_id}/forms/application/{form_id}"
payload = {
"name": "<string>",
"questions": [
{
"question": "<string>",
"id": "<string>",
"description": "<string>",
"options": [
{
"label": "<string>",
"id": "<string>",
"description": "<string>",
"archived": True,
"tag": {
"id": "<string>",
"name": "<string>"
}
}
],
"required": True,
"restricted": True,
"archived": True,
"display_order": 123
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
questions: [
{
question: '<string>',
id: '<string>',
description: '<string>',
options: [
{
label: '<string>',
id: '<string>',
description: '<string>',
archived: true,
tag: {id: '<string>', name: '<string>'}
}
],
required: true,
restricted: true,
archived: true,
display_order: 123
}
]
})
};
fetch('https://api.hirehive.com/v1.0/{company_id}/forms/application/{form_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"current_title": "off",
"current_company": "off",
"location": "off",
"phone": "off",
"resume": "off",
"cover_letter": "off"
}
}{
"errors": {},
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Application and Feedback forms
Update form
Update form by id
PUT
/
v1.0
/
{company_id}
/
forms
/
application
/
{form_id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I